%global download_id 260
Name:		seisan2mseed
Version:	1.6
Release:	2%{?dist}
License:	GPLv2+
Summary:	Convert SEISAN data to miniSEED format
Url:		https://seiscode.iris.washington.edu/projects/seisan2mseed
Group:		Applications/File
Source0:	https://seiscode.iris.washington.edu/attachments/download/%{download_id}/seisan2mseed-%{version}.tar.gz

BuildRequires:	libmseed-devel >= 2.12

%description
Convert SEISAN time series data to miniSEED format.


%prep
%setup -q -n %{name}


%build
pushd src
# Disable internal library copy by overriding REQCFLAGS and LDFLAGS
make %{?_smp_mflags} \
	CC=gcc CFLAGS="%{optflags}" \
	REQCFLAGS='' LDFLAGS='' \
	all
popd


%install
mkdir -p %{buildroot}%{_bindir}
cp -p seisan2mseed %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp -p doc/*.1 %{buildroot}%{_mandir}/man1/


%files
%doc README ChangeLog
%{_bindir}/seisan2mseed
%{_mandir}/man1/*

%changelog
* Thu Feb 18 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.6-2
- Rebuild for Rawhide

* Thu Aug 21 2014 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.6-1
- Initial package release
